import type { IWebsiteConfig } from "./rpc";

export function getConfig(Astro: any):IWebsiteConfig
{
    return Astro.locals.template_config;
}

// 取默认的配置
export function getExtra()
{
    return {
        index: {
            sc1: {
                homepage: ''
            },
            sc2: {
                reaad_title: '全球 220 万 + 册优质图书和精品有声内容',
                reaad_text: '覆盖经典出版物、爆款原创网文、热门有声书、独家大咖精品课等全品类阅读内容，满足用户多元化阅读需求，持续、快速更新海量内容库，定期推出不同的免费内容',
            },
            sc3: {
                // swiper
                swiper: [
                    {
                        url: '/template_2/index/book-cover-chenai.webp',
                        name: '尘埃落定',
                    },{
                        url: '/template_2/index/book-cover-chali.webp',
                        name: '穷查理宝典'
                    },{
                        url: '/template_2/index/book-cover-daming.webp',
                        name: '大明王朝',
                    },{
                        url: '/template_2/index/book-cover-fancui.webp',
                        name: '反脆弱',
                    },{
                        url: '/template_2/index/book-cover-qiren.webp',
                        name: '俗世奇人',
                    },{
                        url: '/template_2/index/book-cover-wenhua.webp',
                        name: '文化苦旅',
                    },{
                        url: '/template_2/index/book-cover-yuanze.webp',
                        name: '原则',
                    },{
                        url: '/template_2/index/book-cover-zero.webp',
                        name: '从0到1',
                    }
                ]
            },
            sc5: {
                img_box: '/template_2/index/paper-translation.webp',
                read_subtitle: '墨水平板 沉浸专注 跃然纸上',
                read_title: '超 50 种语言一键翻译，原文 + 译文对照阅读',
                read_text: '支持简繁字转换及超 50 种外文语言<br />互译，为用户打破阅读屏障',
            },
            sc6: {
                read_title: '纸感阅读健康护眼，落笔生花记录灵感',
                read_text: '还原真实自然的纸质书籍阅读体验，<br class="show-pc" />自适应环境调节背光亮度；边看边记，<br class="show-pc" />随时记录阅读灵感<br class="show-mob" />和精彩片段，<br class="show-pc" />笔记分类，便捷<span class="text-nowrap">高效</span>',
                img_box: '/template_2/index/paper-notation-eyecare.webp'
            },
            sc7: {
                read_title: '跨设备自由流转，阅读进度无缝接续',
                read_text: '手机、平板、穿戴等设备阅、听无缝链接，让体验更畅快',
                img_box: '/template_2/index/bookshelf-pc.webp'
            },
            sc8: {
                read_title: '海量书籍、专享折扣、各种福利活动持续上新，让用户畅读好书',
                img_box: '/template_2/index/opening-pc.webp',
                icon1: '/template_2/index/opening-id-icon.svg',
                icon1_text: 'VIP 身份标识',
                icon2: '/template_2/index/opening-fiction-icon.svg',
                icon2_text: 'VIP 网络小说',
                icon3: '/template_2/index/opening-welfare-icon.svg',
                icon3_text: 'VIP 专属福利',
                icon4: '/template_2/index/opening-book1-icon.svg',
                icon4_text: 'VIP 出版书籍',
                icon5: '/template_2/index/opening-book2-icon.svg',
                icon5_text: 'VIP 有声书籍',
            }
        }
    }
}